summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: e2a776f)
raw | patch | inline | side by side (parent: e2a776f)
author | Sven Velt <sven@velt.de> | |
Sun, 17 Oct 2010 13:51:47 +0000 (15:51 +0200) | ||
committer | Sven Velt <sven@velt.de> | |
Sun, 17 Oct 2010 13:51:47 +0000 (15:51 +0200) |
debian/check-mk-multisite.dirs | [new file with mode: 0644] | patch | blob |
debian/check-mk-multisite.install | [new file with mode: 0644] | patch | blob |
debian/check-mk-multisite.postinst | [new file with mode: 0644] | patch | blob |
debian/check-mk-web.dirs | [deleted file] | patch | blob | history |
debian/check-mk-web.install | [deleted file] | patch | blob | history |
debian/check-mk-web.postinst | [deleted file] | patch | blob | history |
debian/control | patch | blob | history |
diff --git a/debian/check-mk-multisite.dirs b/debian/check-mk-multisite.dirs
--- /dev/null
@@ -0,0 +1,2 @@
+etc/check_mk
+var/lib/check_mk/
diff --git a/debian/check-mk-multisite.install b/debian/check-mk-multisite.install
--- /dev/null
@@ -0,0 +1,4 @@
+usr/share/check_mk/web
+etc/apache2/conf.d/zzz_check_mk.conf
+etc/check_mk/multisite.mk
+var/lib/check_mk/web
diff --git a/debian/check-mk-multisite.postinst b/debian/check-mk-multisite.postinst
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+setperm() {
+ local user="$1"
+ local group="$2"
+ local mode="$3"
+ local file="$4"
+ shift 4
+ # only do something when no setting exists
+ if ! dpkg-statoverride --list "$file" >/dev/null 2>&1; then
+ chown "$user":"$group" "$file"
+ chmod "$mode" "$file"
+ fi
+}
+
+case "$1" in
+ configure)
+ # explicitly set permissions on some files
+ setperm www-data www-data 770 /var/lib/check_mk/web
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "postinst called with unknown argument \$1'" >&2
+ exit 1
+ ;;
+esac
+
diff --git a/debian/check-mk-web.dirs b/debian/check-mk-web.dirs
--- a/debian/check-mk-web.dirs
+++ /dev/null
@@ -1,2 +0,0 @@
-etc/check_mk
-var/lib/check_mk/
diff --git a/debian/check-mk-web.install b/debian/check-mk-web.install
+++ /dev/null
@@ -1,4 +0,0 @@
-usr/share/check_mk/web
-etc/apache2/conf.d/zzz_check_mk.conf
-etc/check_mk/multisite.mk
-var/lib/check_mk/web
diff --git a/debian/check-mk-web.postinst b/debian/check-mk-web.postinst
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/bash
-
-set -e
-
-. /usr/share/debconf/confmodule
-
-setperm() {
- local user="$1"
- local group="$2"
- local mode="$3"
- local file="$4"
- shift 4
- # only do something when no setting exists
- if ! dpkg-statoverride --list "$file" >/dev/null 2>&1; then
- chown "$user":"$group" "$file"
- chmod "$mode" "$file"
- fi
-}
-
-case "$1" in
- configure)
- # explicitly set permissions on some files
- setperm www-data www-data 770 /var/lib/check_mk/web
- ;;
- abort-upgrade|abort-remove|abort-deconfigure)
- ;;
- *)
- echo "postinst called with unknown argument \$1'" >&2
- exit 1
- ;;
-esac
-
diff --git a/debian/control b/debian/control
index 83c5c9650fe6694c00eb41396b1fb84beb625f45..ee2e796768c56cad3a57b7a3c9f2dda31033cc6e 100644 (file)
--- a/debian/control
+++ b/debian/control
.
This package contains livestatus
-Package: check-mk-web
+Package: check-mk-multisite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libapache2-mod-python
Suggests: check-mk-livestatus